document.addEventListener('DOMContentLoaded', () => {
  const dateForm = document.getElementById('dateForm');
  const eventCard = document.getElementById('eventCard');
  const displayDate = document.getElementById('displayDate');
  const eventTitle = document.getElementById('eventTitle');
  const eventDescription = document.getElementById('eventDescription');

  // Sample historical events database
  const historicalEvents = {
    '01-01': { title: 'New Year\'s Day', description: 'The first day of the Gregorian calendar year.' },
    '07-04': { title: 'U.S. Independence Day', description: 'The United States Declaration of Independence was adopted by the Continental Congress in 1776.' },
    '12-25': { title: 'Christmas Day', description: 'Annual celebration of the birth of Jesus Christ.' }
    // Add more events as needed
  };

  dateForm.addEventListener('submit', (e) => {
    e.preventDefault();
    const date = new Date(document.getElementById('datePicker').value);
    const formattedDate = `${String(date.getMonth() + 1).padStart(2, '0')}-${String(date.getDate()).padStart(2, '0')}`;
    
    displayEvent(formattedDate, date);
  });

  function displayEvent(formattedDate, fullDate) {
    const event = historicalEvents[formattedDate] || {
      title: 'No Major Event Found',
      description: 'We\'re still building our database. Check back later for more historical events!'
    };

    const options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
    displayDate.textContent = fullDate.toLocaleDateString(undefined, options);
    eventTitle.textContent = event.title;
    eventDescription.textContent = event.description;
    
    eventCard.classList.remove('hidden');
    eventCard.scrollIntoView({ behavior: 'smooth' });
  }
});
